# Command: dirname

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    dirname - strip last component from file name

Synopsis:

    string dirname -> string

Examples:

    (./../test/dir/foo.sli) dirname -> (./../test/dir)

Description:

    Print NAME with its trailing /component removed;
      if NAME contains no /'s, output `.' (meaning the current directory).

Parameters:

    string: Name of the directory

Author:

    Yury V. Zaytsev and Jochen M. Eppler

FirstVersion:

    November 2012

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/filesystem.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative